### Struct

# Template Expr

#### Description

    union TmplExpr {
      /* No available fields */
    }

No description available.

#### Constructors

###### tmpl_expr_new_boolean

No description available.

###### tmpl_expr_new_flow

No description available.

###### tmpl_expr_new_fn_call

No description available.

###### tmpl_expr_new_func

No description available.

###### tmpl_expr_new_nop

No description available.

###### tmpl_expr_new_null

No description available.

###### tmpl_expr_new_number

No description available.

###### tmpl_expr_new_require

No description available.

###### tmpl_expr_new_simple

No description available.

###### tmpl_expr_new_stmt_list

Creates a new statement list for which the last item will be used as the “return value” from execution.

since: 3.36

###### tmpl_expr_new_string

No description available.

###### tmpl_expr_new_symbol_assign

No description available.

###### tmpl_expr_new_symbol_ref

No description available.

###### tmpl_expr_new_user_fn_call

No description available.

#### Functions

###### tmpl_expr_from_string

No description available.

#### Instance methods

###### tmpl_expr_eval

No description available.

###### tmpl_expr_new_anon_call

No description available.

###### tmpl_expr_new_getattr

No description available.

###### tmpl_expr_new_gi_call

No description available.

###### tmpl_expr_new_invert_boolean

No description available.

###### tmpl_expr_new_setattr

No description available.

###### tmpl_expr_ref

No description available.

###### tmpl_expr_unref

No description available.